Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## waba.ui
Class ControlEvent

    java.lang.Object
      |
      +--waba.ui.Event
            |
            +--waba.ui.ControlEvent

public class ControlEvent
extends Event

ControlEvent is an event posted by a control.

Field Summary
`static int` | `FOCUS_IN` The event type for a focus in event.
`static int` | `FOCUS_OUT` The event type for a focus out event.
`static int` | `PRESSED` The event type for a pressed event.
`static int` | `TIMER` The event type for a timer event.
`static int` | `WINDOW_CLOSED` The event type for a closing window.
`static int` | `WINDOW_MOVED` The event type for a recently moved window.

Fields inherited from class waba.ui.Event
`consumed, target, timeStamp, type`

Constructor Summary
`ControlEvent()`
`ControlEvent(int type, Control c)` Constructs a control event of the given type.

Methods inherited from class waba.ui.Event
`getNextAvailableEventId, isAvailable, touch`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### PRESSED

    public static final int PRESSED

  The event type for a pressed event.

### FOCUS_IN

    public static final int FOCUS_IN

  The event type for a focus in event.

### FOCUS_OUT

    public static final int FOCUS_OUT

  The event type for a focus out event.

### TIMER

    public static final int TIMER

  The event type for a timer event.

### WINDOW_CLOSED

    public static final int WINDOW_CLOSED

  The event type for a closing window.

### WINDOW_MOVED

    public static final int WINDOW_MOVED

  The event type for a recently moved window. This indicate that all the Graphic objects must be translated or reinitialized.

Constructor Detail

### ControlEvent

    public ControlEvent()

### ControlEvent

    public ControlEvent(int type,
                        Control c)

  Constructs a control event of the given type.
  Parameters:
    `type` - the type of event
    `c` - the target control

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD